Change operation status by Id
curl --request PUT \
--url https://gateway.varchev.com/wallet/{walletId}/asset/{assetId}/operation/{operationId}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--data '
{
"isDisable": true
}
'import requests
url = "https://gateway.varchev.com/wallet/{walletId}/asset/{assetId}/operation/{operationId}/status"
payload = { "isDisable": True }
headers = {
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
tenantId: '<tenantid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({isDisable: true})
};
fetch('https://gateway.varchev.com/wallet/{walletId}/asset/{assetId}/operation/{operationId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"name": "<string>",
"isSameWallet": true,
"ownerId": "<string>",
"operationDestination": {
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"ownerId": "<string>",
"operationAddresses": [
{
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"data": {
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"name": "<string>",
"value": "<string>"
},
"ownerId": "<string>"
}
],
"currencyPairs": [
{
"id": "<string>",
"baseCurrency": "<string>",
"quoteCurrency": "<string>",
"pair": "<string>",
"baseCurrencyId": "<string>",
"quoteCurrencyId": "<string>"
}
]
},
"fees": [
{
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"feeValue": {
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
},
"feeSharing": {
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"source": {
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
},
"destination": {
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
},
"ownerId": "<string>"
},
"isDynamic": true,
"feeApiAddress": "<string>",
"group": 123,
"order": 123,
"ownerId": "<string>",
"feeLimit": {
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"priority": 123,
"order": 123,
"ownerId": "<string>",
"conditions": [
{
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"priority": 123,
"order": 123,
"objectRef": {
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>",
"dataId": "<string>"
},
"value": {
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>",
"dataId": "<string>"
},
"ownerId": "<string>"
}
]
},
"defaultApiFee": {
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"name": "<string>",
"value": "<string>",
"ownerId": "<string>",
"instanceRef": "<string>",
"instanceBaseRef": "<string>"
}
}
],
"limits": [
{
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"priority": 123,
"order": 123,
"ownerId": "<string>",
"conditions": [
{
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"priority": 123,
"order": 123,
"objectRef": {
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>",
"dataId": "<string>"
},
"value": {
"id": {
"tenantId": "<string>",
"entityId": {
"id": "2cdc8ab1-6d50-49cc-ba14-54e4ac7ec231"
},
"auditData": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"deletedBy": "<string>"
}
},
"ownerId": "<string>",
"name": "<string>",
"type": 123,
"value": "<string>",
"dataId": "<string>"
},
"ownerId": "<string>"
}
]
}
]
}Allowed Operation
Change operation status by Id
PUT
/
{walletId}
/
asset
/
{assetId}
/
operation
/
{operationId}
/
status
Change operation status by Id
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
Response
200 - application/json
Change operation status by Id
Show child attributes
Show child attributes
Available options:
buy, sell, deposit, withdraw, transfer, suspend, reverse Available options:
currency, crypto-currency, bank-card, transport-card, id-card, qr-code, linked_account, linked_external_account Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

